@import url('https://fonts.googleapis.com/css2?family=Roboto&display=swap');

body{
  font-family: 'Roboto', sans-serif;
  font-size: 14pt;
}

form[name="user"] label.required:before {
    content: "* ";
    font-size: 9pt;
}

ul {
    list-style: square inside;
}

.sticky-wrapperx{
  overflow-y: auto;
  height: 600px;
}


.sticky-tablex th{

  position: sticky ;
  top: 0 !important; /* Don't forget this, required for the stickiness */
  box-shadow: 0 2px 2px -1px rgba(0, 0, 0, 0.4);
}

#banner {
  opacity: 1;
  /*background: url('../images/bg.jpg') no-repeat center fixed;*/
  background-size: cover;
  height: 160px;
  background-color: transparent;
  /*background-color: #3caf77;*/
}

.wrapper {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
    column-gap: 25px;
    row-gap: 1.5em;

}
.wrapper2 {
  display: grid;
  grid-template-columns: 1fr 2fr 1fr;
    column-gap: 25px;
    row-gap: 1.5em;
}

.main_mag {
    max-height: 500px;
    max-width: 350px;
}

h1:before {
    position: absolute;
    left: 0;
    top: 1.2em;
    height: 0;
    width: 80px;
    content: '';
    border-top: 5px solid #3298dc;
}

.apropos {
    border-top: 0px solid #FF4136;
    border-bottom: 0px solid #FF4136;
}

#table_cart thead tr th{
    background: #eee !important;
    color: black;
}

.navbar{
  border-top: 5px solid royalblue !important;
}
.navbarx{
  background: #39ae76 !important;
}
.navbarx a{
  color: #fff !important;
}

.custom_underline {
  -moz-text-decoration-line: underline;
  -moz-text-decoration-style: dotted;
  -moz-text-decoration-color: gray;
  -webkit-text-decoration-line: underline;
  -webkit-text-decoration-style: dotted;
  -webkit-text-decoration-color: gray;
  text-decoration-line: underline;
  text-decoration-style: dotted;
  text-decoration-color: gray;
}

.table-container thead tr th{
  background-color: #DDDDDD;
  color: black;
}

/* The snackbar - position it at the bottom and in the middle of the screen */
#snackbar {
    visibility: hidden;
    /* Hidden by default. Visible on click */
    min-width: 250px;
    /* Set a default minimum width */
    margin-left: -125px;
    /* Divide value of min-width by 2 */
    background-color: #333;
    /* Black background color */
    color: #fff;
    /* White text color */
    text-align: center;
    /* Centered text */
    border-radius: 2px;
    /* Rounded borders */
    padding: 16px;
    /* Padding */
    position: fixed;
    /* Sit on top of the screen */
    z-index: 1;
    /* Add a z-index if needed */
    left: 50%;
    /* Center the snackbar */
    bottom: 30px;
    /* 30px from the bottom */
}

/* Show the snackbar when clicking on a button (class added with JavaScript) */
#snackbar.show {
    visibility: visible;
    /* Show the snackbar */
    /* Add animation: Take 0.5 seconds to fade in and out the snackbar.
  However, delay the fade out process for 2.5 seconds */
    -webkit-animation: fadein 0.5s, fadeout 0.5s 2.5s;
    animation: fadein 0.5s, fadeout 0.5s 2.5s;
}

.price-li{
  padding-left: 30px;
}

/* Animations to fade the snackbar in and out */
@-webkit-keyframes fadein {
    from {
        bottom: 0;
        opacity: 0;
    }

    to {
        bottom: 30px;
        opacity: 1;
    }
}

@keyframes fadein {
    from {
        bottom: 0;
        opacity: 0;
    }

    to {
        bottom: 30px;
        opacity: 1;
    }
}

@-webkit-keyframes fadeout {
    from {
        bottom: 30px;
        opacity: 1;
    }

    to {
        bottom: 0;
        opacity: 0;
    }
}

@keyframes fadeout {
    from {
        bottom: 30px;
        opacity: 1;
    }

    to {
        bottom: 0;
        opacity: 0;
    }
}

#loader {
  position: relative;
  left: 50%;
  top: 50%;
  z-index: 1;
  width: 150px;
  height: 150px;
  margin: -75px 0 0 -75px;
  border: 16px solid #f3f3f3;
  border-radius: 50%;
  border-top: 16px solid #3498db;
  width: 80px;
  height: 80px;
  -webkit-animation: spin 2s linear infinite;
  animation: spin 2s linear infinite;
}

@-webkit-keyframes spin {
  0% { -webkit-transform: rotate(0deg); }
  100% { -webkit-transform: rotate(360deg); }
}

@keyframes spin {
  0% { transform: rotate(0deg); }
  100% { transform: rotate(360deg); }
}
#loadcontent{
  height: 200px;
}

.boutique-content{
  padding-top: 80px;
}

@media only screen and (max-width: 600px) {
  .wrapper, .wrapper2 {
    display: grid;
    grid-template-columns: 1fr;
      column-gap: 25px;
      row-gap: 1.5em;
  }

  .main_mag {
    height: 90%;
    width: 90%;
}



}